mysql++ (3.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #919377)
    + Rebuild with current MariaDB libraries (Closes: #934817)
  * Switch to debhelper-based build and bump compat level to 10
  * Update to Standards-Version 4.4.0 (no changes)
  * Handle GCC name mangling for C++ conversion operators (Closes: #871302)
  * Use AC_TRY_COMPILE to discover localtime_r(); thanks to Helmut Grohne for
    the patch (Closes: #901343)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 24 Aug 2019 19:26:15 -0400

mysql++ (3.2.2+pristine-2) unstable; urgency=medium

  * Avoid linking against libmysqlclient_r and link directly against
    libmysqlclient instead. Thanks Robie Basak <robie.basak@ubuntu.com>
    for the patch. (Closes: #825086)
  * Thanks to Michael Prokop <mika@debian.org> for preparing the upload
    (all I did was apply his patch integrating Robie's patch)
    (Closes: #845444)
  * Update to Standards-Version 3.9.8 (no changes)
  * Update to debhelper compatibility level 9 (no changes)
  * Change dependency on libmysqlclient-dev to default-libmysqlclient-dev
  * Enable hardening flags at build time

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 23 Nov 2016 12:23:22 -0500

mysql++ (3.2.2+pristine-1) unstable; urgency=low

  * New upstream release (Closes: #798389)
  * Update watch file so it finds new upstream releases, and add repack.sh
  * Acknowledge NMU (Closes: #798200)
  * Update to Standards-Version 3.9.6 (no changes)
  * Drop obsolete patches:
    + GCC 4.6 FTBFS is no longer an issue
    + Static library patch no longer applies

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 14 Oct 2015 01:02:11 -0400

mysql++ (3.2.1+pristine-1.1) wily; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition.
  * Fix lintian override, use dh_lintian instead of manually instaling it.

 -- Iain Lane <laney@debian.org>  Sun, 06 Sep 2015 18:28:11 +0100

mysql++ (3.2.1+pristine-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.9.5 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 11 Mar 2014 16:57:32 -0400

mysql++ (3.2.0+pristine-1) unstable; urgency=low

  * New upstream release
    + Repack source to remove unnecessary absolute symlink
  * Add linkage to pthread via LDFLAGS in debian/rules (Closes: #713600)
  * Drop 03_fix_linker_order.patch - part merged upstream & part obsolete
  * Update to Standards-Version 3.9.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 26 Sep 2013 18:49:54 -0400

mysql++ (3.1.0-2) unstable; urgency=low

  * Document how to fully build the examples
  * Allow build to succeed with multiarch libmysqlclient-dev, thanks to
    Clint Byrum for the patch (Closes: #650054)
  * Fix wrong order of linker flags, thanks to Jean-Louis Dupond for the
    patch (Closes: #633686)
  * Build against thread-aware MySQL by passing --enable-thread-check
    option to ./configure (Closes: #607833)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 20 Dec 2011 20:15:39 -0500

mysql++ (3.1.0-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with g++-4.6 (Closes: 624945)
  * Update to Standards-Version 3.9.2 (no changes)
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 17 May 2011 19:03:09 -0400

mysql++ (3.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #504884)
  * debian/control:
    + Add /me to Uploaders
    + Remove Andres Salomon from Uploaders (thanks for your hard work)
    + Remove Wes Chow from Uploaders (thanks for your hard work)
    + Update to Standards-Version 3.8.1
    + Add ${misc:Depends} for the binary packages
    + Update debhelper dependency to (>> 5)
  * debian/compat: Bump compatibility level to 5
  * debian/NEWS.Debian: obsolete; removed
  * debian/copyright:
    + Added note that I am current "maintainer"
    + Update dates, references and links
  * debian/rules:
    + Enable building of static library (Closes: #513213)
  * Tweaks to placate lintian and also some necessary overrides
  * Move documentation to new libmysql++-doc package (Closes: #470319)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 17 Apr 2009 20:45:57 -0400

mysql++ (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Package will now build with g++ 4.3 (closes: #455628).
  * Bump the SONAME (2c2a -> 3) and update package names.
  * Silence lintian warnings and fix a bunch of description typos.
  * The user and reference manuals have their own license; update
    debian/copyright accordingly.

 -- Andres Salomon <dilinger@debian.org>  Fri, 07 Mar 2008 13:36:44 +0000

mysql++ (2.3.2-1) unstable; urgency=low

  * New upstream release.
  * Upstream no longer builds examples by default; drop --disable-examples
    configure arg and 001-examples_subdir.patch.
  * Drop old libsqlplus* handling; libmysql++* is now in stable, no need
    to provide transitional stuff anymore.

 -- Andres Salomon <dilinger@debian.org>  Sun, 16 Sep 2007 17:08:04 -0400

mysql++ (2.0.7-3) unstable; urgency=low

  * Update maintainers.

 -- Andres Salomon <dilinger@debian.org>  Mon, 05 Jun 2006 18:40:04 +0000

mysql++ (2.0.7-2) unstable; urgency=low

  * Build-dep on libmysqlclient15-dev (closes: #353566).

 -- Andres Salomon <dilinger@debian.org>  Sun, 19 Feb 2006 19:45:41 +0000

mysql++ (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * ACK Steve's NMU (keeping the medium priority).  I shall whip him in
    tetrinet for his insolence (closes: #339233).
  * Upstream renamed configure.in to configure.ac; update
    001-examples_subdir.patch for that.

 -- Andres Salomon <dilinger@debian.org>  Fri, 16 Dec 2005 19:58:28 +0000

mysql++ (2.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libmysql++2 to libmysql++2c2a for the C++ mt allocator ABI
    transition, and conflict/replace libmysql++2 accordingly
    (closes: #339233).

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Dec 2005 06:17:14 -0800

mysql++ (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Rename binary packages that're created; use libmysql++ instead of
    libsqlplus.
  * Add a NEWS.Debian describing the rename, etc.
  * Drop README.Debian, as it no longer is necessary now that we match
    upstream paths.
  * Add 001-examples_subdir.patch to fix the examples/.deps problem.
  * Update autoconf, automake, and libtool related scripts to newer
    versions (closes: #328236).

 -- Andres Salomon <dilinger@debian.org>  Mon, 03 Oct 2005 15:43:56 -0400

mysql++ (1.7.40-3) unstable; urgency=low

  * Fix oversight w/ wrong version of libmysqlclient being depended upon.

 -- Andres Salomon <dilinger@debian.org>  Wed, 14 Sep 2005 01:00:34 -0400

mysql++ (1.7.40-2) unstable; urgency=low

  * Apparently the mysql-4.1 transition started already; build-dep on
    libmysqlclient14-dev instead of 12.

 -- Andres Salomon <dilinger@debian.org>  Thu, 04 Aug 2005 18:10:17 -0400

mysql++ (1.7.40-1) unstable; urgency=low

  * Hijack this package, as the maintainer is apparently MIA.
  * New upstream release (closes: #278534, #303554).
  * Ack NMU; thanks! (closes: #291281, #292427).
  * This version builds with gcc4 (closes: #265526). 
  * Update copyright file, new upstream URL, and add myself as a maintainer.
  * Bump SONAME.
  * Switch build system to cdbs.
  * Remove the various bits about this package being unmaintained upstream;
    it is now an active project.  Update various other documentation.
  * Stop building examples, and certainly stop shipping gzipped object
    files in /usr/share/doc that are never used.

 -- Andres Salomon <dilinger@debian.org>  Fri, 24 Jun 2005 11:49:19 -0400

mysql++ (1.7.9.sp4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libmysqlclient14-dev instead of having a versioned
    build-dep on virtual package libmysqlclient-dev (closes: #291281),
    patch from Steve Langasek.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 26 Jan 2005 23:30:50 +0100

mysql++ (1.7.9.sp4-5) unstable; urgency=low

  * (src) Adding default constructor definition for
	  mysql_ti_sql_type_info. Thanks to Sergei Vavinov (closes: #258081).

 -- Stephan A Suerken <absurd@debian.org>  Mon, 26 Jul 2004 14:15:44 +0000

mysql++ (1.7.9.sp4-4) unstable; urgency=low

  * rules: Explicitely setting CXXFLAGS before configure.
  * Note: 1.7.9.sp4-3's (cvs-*) build env was missing the "original orig",
    thus md5sums were wrong and the package rejected ;(.
    So this again (closes: #242685). See changelog for 1.7.9.sp4-3.

 -- Stephan A Suerken <absurd@debian.org>  Fri, 28 May 2004 12:58:52 +0200

mysql++ (1.7.9.sp4-3) unstable; urgency=low

  * Using "-fpermissive" to compile.
    (closes: #242685)
  * Added clarification about the status of this software to
	  package description; for even more clarity ;), I paste it
    here again:
    .
    PLEASE NOTE that this package is unmaintained upstream; bugs won't be
    fixed, and the C++ code is "aimed at g++-2.95" and thus was and will
    be subject to compile errors with newer, "real C++ compilers". Its
    primary purpose is to still provide the functionality for projects
    that really still need this.
    .
    As ALTERNATIVE, you might want to check
    http://mysqlcppapi.sourceforge.net/, which is a still developed
    branch of this project.

 -- Stephan A Suerken <absurd@debian.org>  Thu, 27 May 2004 15:05:47 +0200

mysql++ (1.7.9.sp4-2) unstable; urgency=low

  * Adding "undef_short" to includes
    (closes: #227300).

 -- Stephan A Suerken <absurd@debian.org>  Tue,  2 Mar 2004 14:16:30 +0100

mysql++ (1.7.9.sp4-1) unstable; urgency=low

  * New S+P patched upstream (closes: #222600):
    1.7.9.sp4 (2004 Feb 20): (absurd@schlund.de)
    - sqlplusint/convert1.hh: Removing braindead declarations (actually C99):
      strtod,strtol,strtoul,strtoll,strtoull. Including <cstdlib>.
    - examples/load_file.cc: Removing conflicting declaration of errno.
      #include <cerrno>.
  * rules: Installing README.sp as doc to all packages.
  * rules: Excluding CVS dirs from dh_installdocs. This fixes lintian warnings.
  * control: debhelper dependency corrected to >= 4.0.4 (closes: #229985).
  * control: Build-dep to libssl-dev (compare #191425, there is no fix (but
	  a hack) for libtool, so we fix it with this unneccesary dependency for now).
    (closes: #216969).

 -- Stephan A Suerken <absurd@debian.org>  Mon, 23 Feb 2004 13:45:59 +0100

mysql++ (1.7.9.sp3-1) unstable; urgency=low

  * New S+P patched upstream 1.7.9.sp2 (2003 Oct 09): (absurd@schlund.de)
    From README.sp:
    - sqlplusint/type_info1.hh: Asserting constructor added in sp1
      replaced by real code, simply copying all class variables (seems
      that constructor is used now and then ;). Feels straighforward,
      but no guarantees - I don't really know the code.
    - Applying patch from Matt Kraai <kraai@alumni.cmu.edu> (see
      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=195527) to fix
      g++-3.3 issues.
    - Fixes to be able to re-strap autotools:
      - Added empty files NEWS AUTHORS ChangeLog.
      - Syntax fix for configure.in (AC_DEFINE, USE_STANDARD_EXCEPTION)
      - strap_auto script added (could be used to autostrap while
        building)
      - Autotools re-strapped with libtool 1.5.0a, automake 1.7,
        autoconf 2.57.
    - Adding this file [README.sp] (moving tarball contents of the
      README.Debian to the right place).
	  (closes: #192317, #201917, #195527)
  * New S+P patched upstream 1.7.9.sp3 (2003 Oct 10): (absurd@schlund.de)
	  From README.sp:
    - sqlplusint/connection.cc: Syntax fix to make it compile with
      version 4.0.15a mysql (Debian: libmysqlclient12-dev) headers.
    - Doing a distclean before tarballing (remove some obsolete files,
      I don't dare to use "make dist" ;).
  * (with sp3) Make it depend on libmysqlclient-dev instead of libmysqlclient10-dev.
    (closes: #192399)
  * Removing a bunch of obsolete files from CVS.
  * rules: Fix parsing of DEB_BUILD_OPTIONS.

 -- Stephan A Suerken <absurd@debian.org>  Fri, 10 Oct 2003 11:48:09 +0200

mysql++ (1.7.9.sp1-2.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Applied patch (from Matt Kraai) to allow building under GCC 3.3.
    (Closes: #195527)

 -- Joel Baker <fenton@debian.org>  Mon, 25 Aug 2003 13:34:26 -0600

mysql++ (1.7.9.sp1-2) unstable; urgency=low

  * Adding build-depend on autotools-dev.
  * rules: Updating config.guess|sub unconditionally.
  * Adding libmysqlclient10-dev to dependencies fro -dev package.
  * Changing section of -dev to libdevel.
  * Updating standards version to 3.5.9.
  * Not fully understanding the licensing problems, I am leaving dependencies
    on libmysqlclient10 until there is some consensus.
  * Disabling optimization for now, as the new gcc 3.2.3 release seems to break it.

 -- Stephan A Suerken <absurd@debian.org>  Thu,  9 Oct 2003 19:31:11 +0200

mysql++ (1.7.9.sp1-1) unstable; urgency=low

  * Initial Release.
  * Fixes "ancient" ITP-Bug.
    (closes: #105310)	
  * Build with a patched (sp1) upstream source that is compatible with
    both g++-3.2 and -2.95.

 -- Stephan A Suerken <absurd@debian.org>  Fri,  7 Mar 2003 17:24:56 +0100
